ChangeSet 1.1608.24.23, 2004/02/27 12:53:36-08:00, greg@kroah.com

[PATCH] USB: fix build for older versions of gcc and the mtouchusb driver.


 drivers/usb/input/mtouchusb.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/input/mtouchusb.c b/drivers/usb/input/mtouchusb.c
--- a/drivers/usb/input/mtouchusb.c	Tue Mar 16 15:05:34 2004
+++ b/drivers/usb/input/mtouchusb.c	Tue Mar 16 15:05:34 2004
@@ -173,7 +173,6 @@
 
 static int mtouchusb_probe(struct usb_interface *intf, const struct usb_device_id *id)
 {
-        dbg("%s - called", __FUNCTION__);
         struct mtouch_usb *mtouch;
         struct usb_host_interface *interface;
         struct usb_endpoint_descriptor *endpoint;
@@ -184,6 +183,7 @@
         int ix;
         char valid_device = 0;
 
+        dbg("%s - called", __FUNCTION__);
         if (vendor != -1 && product != -1) {
                 info("%s - User specified USB Touch -- Vend:Prod - %x:%x",
                      __FUNCTION__, vendor, product);
